# DataExchange
TKSTEP
StepAP214

# StepAP214_AutoDesignDateAndTimeItem Class Reference

`#include <StepAP214_AutoDesignDateAndTimeItem.hxx>`

Inheritance diagram for StepAP214_AutoDesignDateAndTimeItem:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP214_AutoDesignDateAndTimeItem ()
| Returns a AutoDesignDateAndTimeItem SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a AutoDesignDateAndTimeItem Kind Entity that is : 1 -> ApprovalPersonOrganization 2 -> AutoDesignDateAndPersonAssignment 0 else .
Standard_EXPORT Handle_StepBasic_ApprovalPersonOrganization | ApprovalPersonOrganization () const
| returns Value as a ApprovalPersonOrganization (Null if another type)
Standard_EXPORT Handle_StepAP214_AutoDesignDateAndPersonAssignment | AutoDesignDateAndPersonAssignment () const
| returns Value as a AutoDesignDateAndPersonAssignment (Null if another type)
Standard_EXPORT Handle_StepBasic_ProductDefinitionEffectivity | ProductDefinitionEffectivity () const

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AutoDesignDateAndTimeItem::StepAP214_AutoDesignDateAndTimeItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_ApprovalPersonOrganization StepAP214_AutoDesignDateAndTimeItem::ApprovalPersonOrganization | ( |  | ) | const

Standard_EXPORT Handle_StepAP214_AutoDesignDateAndPersonAssignment StepAP214_AutoDesignDateAndTimeItem::AutoDesignDateAndPersonAssignment | ( |  | ) | const

Standard_EXPORT Standard_Integer StepAP214_AutoDesignDateAndTimeItem::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepAP214_AutoDesignDateAndTimeItem::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP214_AutoDesignDateAndTimeItem::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP214_AutoDesignDateAndTimeItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepBasic_ProductDefinitionEffectivity StepAP214_AutoDesignDateAndTimeItem::ProductDefinitionEffectivity | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepAP214_AutoDesignDateAndTimeItem.hxx